export interface ITradeAction<T> {
    host: string;
    payload: T;
    port: number;
    type: string;
}
export declare const SubmitNewTrade: (memberHost: string, memberPort: number, newTradeJSON: string) => ITradeAction<string>;
export declare const ResetTrades: (memberHost: string, memberPort: number, resetDate: Date) => ITradeAction<Date>;
export declare const SUBMIT_NEW_TRADE_ACTION = "SUBMIT_NEW_TRADE_ACTION";
export declare const INVOKE_RESET = "INVOKE_RESET";
