import { IInterestRateContractWithStatus } from '@jdxconsulting/cdm-model';
export interface ITradeListAction {
    host?: string;
    port?: number;
    trade?: IInterestRateContractWithStatus;
    type: string;
}
export declare const NewRPCTrade: (newTrade: any) => ITradeListAction;
export declare const NewRTTrade: (newTrade: any) => ITradeListAction;
export declare const RemoveTrade: (removedTrade: any) => ITradeListAction;
export declare const UpdateTrade: (updatedTrade: any) => ITradeListAction;
export declare const ClearTradeHighlight: (tradeToRemoveHighlight: any) => ITradeListAction;
export declare const ClearTrades: () => ITradeListAction;
export declare const SelectTradeForCompression: (selectedTrade: any) => ITradeListAction;
export declare const CompressTrades: (member: any) => ITradeListAction;
export declare const SelectTradeForApprove: (selectedTrade: any) => ITradeListAction;
export declare const SelectTradeForReject: (selectedTrade: any) => ITradeListAction;
export declare const ApproveTrades: (member: any) => ITradeListAction;
export declare const RejectTrades: (member: any) => ITradeListAction;
export declare const SelectTradeForClearing: (selectedTrade: any) => ITradeListAction;
export declare const ClearingTrades: (member: any) => ITradeListAction;
export declare const SelectTradeForShowingLineage: (member: any, selectedTrade: any) => ITradeListAction;
export declare const RPC_NEW_TRADE_ACTION = "RPC_NEW_TRADE_ACTION";
export declare const RT_NEW_TRADE_ACTION = "RT_NEW_TRADE_ACTION";
export declare const UPDATE_TRADE_ACTION = "UPDATE_TRADE_ACTION";
export declare const DELETE_TRADE_ACTION = "DELETE_TRADE_ACTION";
export declare const CLEAR_TRADES_ACTION = "CLEAR_TRADES_ACTION";
export declare const CLEAR_TRADE_HIGHLIGHT_ACTION = "CLEAR_TRADE_HIGHLIGHT_ACTION";
export declare const APPROVE_TRADES_ACTION = "APPROVE_TRADES_ACTION";
export declare const REJECT_TRADES_ACTION = "REJECT_TRADES_ACTION";
export declare const TOGGLE_FOR_APPROVE_TRADES_ACTION = "TOGGLE_FOR_APPROVE_TRADES_ACTION";
export declare const TOGGLE_FOR_REJECT_TRADES_ACTION = "TOGGLE_FOR_REJECT_TRADES_ACTION";
export declare const COMPRESS_TRADES_ACTION = "COMPRESS_TRADES_ACTION";
export declare const TOGGLE_FOR_COMPRESSION_TRADES_ACTION = "TOGGLE_FOR_COMPRESSION_TRADES_ACTION";
export declare const CLEARING_TRADES_ACTION = "CLEARING_TRADES_ACTION";
export declare const TOGGLE_FOR_CLEARING_TRADES_ACTION = "TOGGLE_FOR_CLEARING_TRADES_ACTION";
export declare const TOGGLE_FOR_SHOWING_LINEAGE_ACTION = "TOGGLE_FOR_SHOWING_LINEAGE_ACTION";
