export var NewRPCTrade = function (newTrade) { return ({
    trade: newTrade,
    type: RPC_NEW_TRADE_ACTION
}); };
export var NewRTTrade = function (newTrade) { return ({
    trade: newTrade,
    type: RT_NEW_TRADE_ACTION
}); };
export var RemoveTrade = function (removedTrade) { return ({
    trade: removedTrade,
    type: DELETE_TRADE_ACTION
}); };
export var UpdateTrade = function (updatedTrade) { return ({
    trade: updatedTrade,
    type: UPDATE_TRADE_ACTION
}); };
export var ClearTradeHighlight = function (tradeToRemoveHighlight) { return ({
    trade: tradeToRemoveHighlight,
    type: CLEAR_TRADE_HIGHLIGHT_ACTION
}); };
export var ClearTrades = function () { return ({
    trade: undefined,
    type: CLEAR_TRADES_ACTION
}); };
export var SelectTradeForCompression = function (selectedTrade) { return ({
    trade: selectedTrade,
    type: TOGGLE_FOR_COMPRESSION_TRADES_ACTION
}); };
export var CompressTrades = function (member) { return ({
    host: member.host.hostIP,
    port: member.host.hostPort,
    type: COMPRESS_TRADES_ACTION
}); };
export var SelectTradeForApprove = function (selectedTrade) { return ({
    trade: selectedTrade,
    type: TOGGLE_FOR_APPROVE_TRADES_ACTION
}); };
export var SelectTradeForReject = function (selectedTrade) { return ({
    trade: selectedTrade,
    type: TOGGLE_FOR_REJECT_TRADES_ACTION
}); };
export var ApproveTrades = function (member) { return ({
    host: member.host.hostIP,
    port: member.host.hostPort,
    type: APPROVE_TRADES_ACTION
}); };
export var RejectTrades = function (member) { return ({
    host: member.host.hostIP,
    port: member.host.hostPort,
    type: REJECT_TRADES_ACTION
}); };
export var SelectTradeForClearing = function (selectedTrade) { return ({
    trade: selectedTrade,
    type: TOGGLE_FOR_CLEARING_TRADES_ACTION
}); };
export var ClearingTrades = function (member) { return ({
    host: member.host.hostIP,
    port: member.host.hostPort,
    type: CLEARING_TRADES_ACTION
}); };
export var SelectTradeForShowingLineage = function (member, selectedTrade) { return ({
    host: member.host.hostIP,
    port: member.host.hostPort,
    trade: selectedTrade,
    type: TOGGLE_FOR_SHOWING_LINEAGE_ACTION
}); };
export var RPC_NEW_TRADE_ACTION = "RPC_NEW_TRADE_ACTION";
export var RT_NEW_TRADE_ACTION = "RT_NEW_TRADE_ACTION";
export var UPDATE_TRADE_ACTION = "UPDATE_TRADE_ACTION";
export var DELETE_TRADE_ACTION = "DELETE_TRADE_ACTION";
export var CLEAR_TRADES_ACTION = "CLEAR_TRADES_ACTION";
export var CLEAR_TRADE_HIGHLIGHT_ACTION = "CLEAR_TRADE_HIGHLIGHT_ACTION";
export var APPROVE_TRADES_ACTION = "APPROVE_TRADES_ACTION";
export var REJECT_TRADES_ACTION = "REJECT_TRADES_ACTION";
export var TOGGLE_FOR_APPROVE_TRADES_ACTION = "TOGGLE_FOR_APPROVE_TRADES_ACTION";
export var TOGGLE_FOR_REJECT_TRADES_ACTION = "TOGGLE_FOR_REJECT_TRADES_ACTION";
export var COMPRESS_TRADES_ACTION = "COMPRESS_TRADES_ACTION";
export var TOGGLE_FOR_COMPRESSION_TRADES_ACTION = "TOGGLE_FOR_COMPRESSION_TRADES_ACTION";
export var CLEARING_TRADES_ACTION = "CLEARING_TRADES_ACTION";
export var TOGGLE_FOR_CLEARING_TRADES_ACTION = "TOGGLE_FOR_CLEARING_TRADES_ACTION";
export var TOGGLE_FOR_SHOWING_LINEAGE_ACTION = "TOGGLE_FOR_SHOWING_LINEAGE_ACTION";
//# sourceMappingURL=tradeList.js.map