import * as React from 'react';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { SelectedTrade } from './selectedTrade';
export var SelectedTrades = function (props) {
    return (props.selectedTrades.length > 0 ?
        React.createElement("div", { className: "container-fluid" }, props.selectedTrades.map(function (t) {
            return React.createElement(SelectedTrade, { key: t.cdmContract.contractIdentifier[0].identifierValue.identifier, selectedTrade: t, selectTradeCallback: props.selectTradeCallback });
        })) :
        React.createElement("div", { className: "container-fluid" },
            React.createElement(FontAwesomeIcon, { icon: "map-pin" }),
            " Drop Trades Here"));
};
//# sourceMappingURL=selectedTrades.js.map