import { connect } from 'react-redux';
import { TradeEntryF, TradeEntryFMode } from '../components/tradeEntryF';
import { SubmitNewTrade } from '../actions/trade';
var mapStateToProps = function (state) { return ({
    facingOptions: state.ActiveMembers.filter(function (m) {
        return m.state.data.membershipMetadata.name.toUpperCase() !== "BNO" &&
            m.state.data.membershipMetadata.role.toUpperCase() !== "ORACLE" &&
            m.state.data.membershipMetadata.role.toUpperCase() !== "CCP" &&
            m.state.data.membershipMetadata.role.toUpperCase() !== "COMPRESSION SERVICE" &&
            m.state.data.membershipMetadata.role.toUpperCase() !== "REGULATOR";
    }),
    mode: state.CurrentMember.state.data.membershipMetadata.partyId === "DEALER-D01" ? TradeEntryFMode.CounterParty : state.CurrentMember.state.data.membershipMetadata.partyId === "DEALER-D02" ? TradeEntryFMode.CounterParty : TradeEntryFMode.ETF,
    originator: state.CurrentMember
}); };
var mapDispatchToProps = function (dispatch) { return ({
    submitHandler: function (host, port, json) { return dispatch(SubmitNewTrade(host, port, json)); }
}); };
var TradeEntryContainer = connect(mapStateToProps, mapDispatchToProps)(TradeEntryF);
export default TradeEntryContainer;
//# sourceMappingURL=tradeEntry.js.map