import * as React from 'react';
export interface ITradeListFilterProps<T> {
    ColumnName: string;
    FilterList: string[];
    SelectedFilter?: T;
    FilterChanged: any;
}
declare enum TradeListFilterMode {
    Open = 0,
    Closed = 1
}
export interface ITradeListFilterState<T> {
    Mode: TradeListFilterMode;
}
export declare class TradeListFilter<T> extends React.Component<ITradeListFilterProps<T>, ITradeListFilterState<T>> {
    constructor(props: ITradeListFilterProps<T>);
    render: () => any;
    private recordFilterValueChange;
}
export {};
