var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { FilterPicker } from './tradeListFilterPicker';
var TradeListFilterMode;
(function (TradeListFilterMode) {
    TradeListFilterMode[TradeListFilterMode["Open"] = 0] = "Open";
    TradeListFilterMode[TradeListFilterMode["Closed"] = 1] = "Closed";
})(TradeListFilterMode || (TradeListFilterMode = {}));
var TradeListFilter = /** @class */ (function (_super) {
    __extends(TradeListFilter, _super);
    function TradeListFilter(props) {
        var _this = _super.call(this, props) || this;
        _this.render = function () {
            return (React.createElement("div", null,
                _this.props.ColumnName,
                " ",
                React.createElement("button", { type: "button", className: "btn btn-info btn-sm", onClick: function () { return _this.setState(__assign({}, _this.state, { Mode: !_this.state || _this.state.Mode === TradeListFilterMode.Closed ? TradeListFilterMode.Open : TradeListFilterMode.Closed })); } },
                    " ",
                    React.createElement(FontAwesomeIcon, { size: "xs", icon: "filter" })),
                (_this.state && _this.state.Mode === TradeListFilterMode.Open)
                    ? React.createElement("div", null,
                        React.createElement("hr", null),
                        React.createElement(FilterPicker, { ColumnName: _this.props.ColumnName, FilterList: _this.props.FilterList, SelectedFilter: _this.props.SelectedFilter, FilterChanged: _this.recordFilterValueChange }))
                    : (_this.props.SelectedFilter && _this.props.SelectedFilter !== "*") ? React.createElement("div", null,
                        React.createElement("hr", null),
                        _this.props.SelectedFilter) : React.createElement("div", null)));
        };
        _this.recordFilterValueChange = function (filter) {
            console.log("recordFilterValueChange: " + filter);
            _this.setState({ Mode: TradeListFilterMode.Closed });
            _this.props.FilterChanged(filter);
        };
        _this.state = { Mode: TradeListFilterMode.Closed };
        return _this;
    }
    return TradeListFilter;
}(React.Component));
export { TradeListFilter };
//# sourceMappingURL=tradeListFilter.js.map