import { connect } from 'react-redux';
import { TradesReset } from '../components/tradesReset';
import { ResetTrades } from '../actions/trade';
var mapStateToProps = function (state) { return ({
    originator: state.CurrentMember,
    payments: state.AllPayments
}); };
var mapDispatchToProps = function (dispatch) { return ({
    actionResetHandler: function (host, port, resetDate) { return dispatch(ResetTrades(host, port, resetDate)); }
}); };
var TradesResetContainer = connect(mapStateToProps, mapDispatchToProps)(TradesReset);
export default TradesResetContainer;
//# sourceMappingURL=tradesReset.js.map