var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as Actions from '../actions/tradeList';
;
var initialState = ({
    eventCounters: []
});
var TradeEvents = function (state, action) {
    if (state === void 0) { state = initialState; }
    switch (action.type) {
        case Actions.RPC_NEW_TRADE_ACTION:
        case Actions.APPROVE_TRADES_ACTION:
        case Actions.CLEARING_TRADES_ACTION:
        case Actions.CLEAR_TRADES_ACTION:
        case Actions.CLEAR_TRADE_HIGHLIGHT_ACTION:
        case Actions.COMPRESS_TRADES_ACTION:
        case Actions.DELETE_TRADE_ACTION:
        case Actions.RT_NEW_TRADE_ACTION:
        case Actions.UPDATE_TRADE_ACTION:
            var eventTradeId_1 = (action.trade) ? action.trade.cdmContract.contractIdentifier[0].identifierValue.identifier : "*";
            var eventStatus_1 = (action.trade) ? action.trade.contractStatus : "*";
            var currentCount = state.eventCounters.find(function (c) { return c.event === action.type && c.tradeId === eventTradeId_1 && c.tradeStatus === eventStatus_1; });
            if (currentCount) {
                console.log("EVENT COUNTER: " + action.type + ":" + eventTradeId_1 + "}:" + eventStatus_1 + ":" + (currentCount.count + 1));
                return __assign({}, state, { eventCounters: state.eventCounters.map(function (c) { return c.event === action.type && c.tradeId === eventTradeId_1 && c.tradeStatus === eventStatus_1 ? __assign({}, c, { count: c.count + 1 }) : c; }) });
            }
            else {
                console.log("EVENT COUNTER: " + action.type + ":" + eventTradeId_1 + "}:" + eventStatus_1 + ":" + 1);
                return __assign({}, state, { eventCounters: state.eventCounters.concat([{ event: action.type, count: 1, tradeId: eventTradeId_1, tradeStatus: eventStatus_1 }]) });
            }
        default:
            return state;
    }
};
export default TradeEvents;
//# sourceMappingURL=counter.js.map