import * as Actions from '../actions/trade';
import { PersistDraftCDMContract, RequestResetTrades } from '../domain/rpc';
// import { PersistDraftCDMContract, RequestApproveDraftCDMContract } from '../domain/rpc';
var TradeEntry = function (state, action) {
    if (state === void 0) { state = {}; }
    switch (action.type) {
        case Actions.SUBMIT_NEW_TRADE_ACTION:
            console.log("*** Submit Trade *** " + action.payload);
            PersistDraftCDMContract(action.host, action.port, action.payload);
            return state;
        case Actions.INVOKE_RESET:
            console.log("INVOKE_RESET " + action.payload);
            if (action.host && action.port) {
                RequestResetTrades(action.host, action.port, action.payload);
            }
            return state;
        default:
            return state;
    }
};
export default TradeEntry;
//# sourceMappingURL=tradeEntry.js.map